body {
	scrollbar-width: none;
	min-height: 840px;
	overflow-x: hidden;
}

body.hidden {
	overflow: hidden;
}

#mask {
	height: 100vh;
	width: 100vw;
	position: fixed;
	left: 0;
	top: 0;
	z-index: 100;
	background: #fff;
}

#main-frame {
	width: 100vw;
	height: 100%;
	min-height: 800px;
	overflow: hidden;
	position: relative;
}


/* ------------------------------------------------------------ wrapper */

#wrapper {
	overflow-x: scroll;
	overflow-y: hidden;
	transition: transform 1s ease-out;
	-ms-overflow-style: none;
	scrollbar-width: none;
}

#wrapper::-webkit-scrollbar {
	display: none;
	/* Safari and Chrome */
	width: 0px;
	/* Remove scrollbar space */
	background: transparent;
	/* Optional: just make scrollbar invisible */
}

#wrapper::-webkit-scrollbar-thumb {
	background: #fff;
}

#wrapper.zoom {
	transform: scale(2) translateX(40%);
}

#building {
	transition: transform 1s ease-out;
	margin: auto;
	padding: 0 0 20px;
	width: 100%;
	height: 100%;
	overflow-y: hidden;
	white-space: nowrap;
	box-sizing: border-box;
	overflow: hidden;
	min-height: 650px;
	-ms-overflow-style: none;
	scrollbar-width: none;
}

#building::-webkit-scrollbar {
	/* WebKit */
	width: 0px;
}

#building .roof {
	margin: auto;
	background: url(../images/shops/roof.jpg) repeat-x center bottom;
	background-size: auto 150%;
	height: 100px;
	width: 100%;
}

#building .shops {
	padding: 10px 0 0;
}

#building .shops ul {
	width: 100%;
	text-align: center;
}

#building .shops ul li {
	text-align: left;
	float: left;
	position: relative;
	min-height: 428px;
}

#building .shops ul li .post_overlay {
	position: absolute;
	top: -2px;
	bottom: 0;
	right: -3%;
	z-index: 2;
	width: 12%;
	height: 105%;
	background: url(../images/shops/post.png) no-repeat right center;
	background-size: auto 100%;
}

#building .shops ul li .inside {
	width: 94%;
	position: absolute;
	bottom: 0;
	margin: auto;
	height: 356px;
	overflow: hidden;
}

#building .shops ul li .inside img {
	position: relative;
	top: 50%;
	left: 50%;
	width: 100%;
	height: auto;
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

#building .shops ul li a {
	position: absolute;
	display: block;
	bottom: 1px;
	left: 0;
	z-index: 99;
	width: 20%;
	height: 56%;
	transition: 0.5s;
	/*
	background: rgba(255,255,255,0.0);
	animation-name: color;
	animation-duration: 3s;
	animation-iteration-count: infinite;
*/
}


/*
@keyframes color {
  0% {
    background: rgba(255,255,255,0.0);
  }
  50% {
    background: rgba(227,102,44,0.8);
  }
  100 {
    background: rgba(255,255,255,0.0);
  }
}
*/

#building .shops ul li a:hover {
	background: #e2662c !important;
}

#building .shops ul li.shop1 a {
	left: 27%;
}


/* #building .shops ul li.shop1 a:hover { background: aqua; background: url(../images/shops/shop_a_hover.png) no-repeat center top; background-size: auto 100%;} */

#building .shops ul li.shop2 a {
	left: 49.6%;
}

#building .shops ul li .shop_overlay {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: 1;
}

#building .shops ul li.shop1 .shop_overlay {
	background: url(../images/shops/shop_a.png) no-repeat left center;
	background-size: auto 100%;
}

#building .shops ul li.shop2 .shop_overlay {
	background: url(../images/shops/shop_b.png) no-repeat left center;
	background-size: auto 100%;
}

#building #shop5 .shop_overlay {
	background: url(../images/shops/shop_b2.png?190202) no-repeat left center;
	background-size: auto 100%;
}

#building #petite .shop_overlay {
	background: url(../images/shops/shop_b3.png?200720) no-repeat left center;
	background-size: auto 100%;
}

#building .shops ul li .name {
	position: absolute;
	top: 11px;
	left: 0;
	height: 61px;
	width: 100%;
	z-index: 1;
	overflow: hidden;
}

#building .shops ul li .name img {
	width: 100%;
	height: auto;
	position: relative;
	top: 50%;
	left: 47%;
	width: 100%;
	height: auto;
	-webkit-transform: translate(-50%, -50%);
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

#building .shops ul li .welcome {
	position: absolute;
	width: 20%;
	z-index: 99;
	top: 23%;
	left: 32%;
	animation: cloud 3s ease infinite;
	transform-origin: 50% 50%;
}

#building .shops ul li .welcome img {
	width: 100%;
	height: auto;
}

@keyframes cloud {
	0% {
		transform: translateY(0)
	}
	50% {
		transform: translateY(-10px)
	}
	100% {
		transform: translateY(0)
	}
}

#building .shops ul li.shop2 .welcome {
	left: 52%;
}

#building .floor {
	position: relative;
	z-index: 10;
}

#building .floor .back {
	height: 4px;
	width: 100%;
	background: url(../images/shops/brick_back.png) repeat-x center center;
	background-size: auto 100%;
}

#building .floor .middle {
	height: 120px;
	width: 100%;
	background: url(../images/shops/floor.png) repeat-x center center;
	background-size: auto 100%;
}

#building .floor .front {
	height: 8px;
	width: 100%;
	background: url(../images/shops/brick_front.png) repeat-x center center;
	background-size: auto 100%;
}

#building .floor .assets {
	width: 100%;
	position: absolute;
	z-index: 11;
	left: 0;
	right: 0;
	margin: auto;
}

#building .floor .assets div {
	position: relative;
	height: 1px;
	float: left;
}

#building .floor .assets div img,
#building .floor .assets div canvas {
	position: absolute;
	bottom: -75px;
	right: -48%;
	width: 100%;
	height: auto;
}


/* ------------------------------------------------------------ footer */

#footer {
	height: 160px;
	z-index: 99;
	right: 0;
	left: 0;
	width: 100%;
	box-sizing: border-box;
	position: absolute;
	padding: 0 40px 35px
}

#footer .cfx {
	position: relative;
}

#footer .logo {
	float: left;
	padding: 0 0 15px;
	text-align: center;
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
}

#footer .logo p.copyright {
	padding: 20px 0 0;
	font-size: 10px;
	color: #5c7081;
}

#footer .prev {
	float: left;
}

#footer .next {
	float: right;
}

#footer .prev,
#footer .next {
	padding: 80px 0 0;
	position: inherit;
	z-index: 99;
}


/* ------------------------------------------------------------ modal */

.modal {
	display: none;
	background: #fff;
	position: fixed;
	z-index: 998;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	overflow: scroll;
	background: rgba(255, 255, 255, 0.5);
}

.modal .close {
	position: fixed;
	top: 30px;
	right: 60px;
	z-index: 999;
	cursor: pointer;
	padding: 5px;
}

.modal .shop_detail {
	position: absolute;
	z-index: 999;
	width: 80%;
	height: 88%;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	overflow: hidden;
	min-width: 1360px;
	max-width: 1536px;
	height: 858px;
}

.modal .shop_detail .detail_bg {
	left: 0;
	top: 0;
	width: 52%;
	height: 100%;
	z-index: 0;
	background-size: cover !important;
}

.modal .shop_detail .box_scroll {
	position: inherit;
	right: 0;
	top: 0;
	width: 790px;
	height: 100%;
	overflow-y: scroll;
}

.modal .shop_detail .box {
	position: relative;
	box-sizing: border-box;
	z-index: 1;
	overflow: hidden;
	padding: 112px 80px 101px;
	background: #fff;
	height: 100%;
}

#petite .shop_detail .box {
	padding: 95px 80px 101px;
}


.modal .shop_detail .box h3 {
	text-align: center;
	padding: 0 0 40px;
}

#petite .shop_detail .box h3 {
	padding: 0 0 23px;
}

.modal .shop_detail .box .bg {
	display: block;
	z-index: -1;
	position: absolute;
	width: 100%;
	left: 0;
}

.modal .shop_detail .box .bg.top {
	top: -69px;
	background: url(../images/shops/box_bg_top.jpg) no-repeat center top;
	background-size: 100% auto;
	height: 300px;
}

.modal .shop_detail .box .bg.mid {
	top: 100px;
	background: url(../images/shops/box_bg_mid.jpg) repeat-y center top;
	background-size: 100% auto;
	height: 76%;
	z-index: -2;
}

.modal .shop_detail .box .bg.bot {
	bottom: 0;
	background: url(../images/shops/box_bg_bot.jpg) no-repeat center bottom;
	background-size: 100% auto;
	height: 300px;
}

.modal .shop_detail .box p.text {
	font-size: 14px;
	padding: 20px 0 40px;
	line-height: 190%;
	letter-spacing: 1px;
}

.modal .shop_detail .box ul {
	text-align: center;
}

.modal .shop_detail .box ul li {
	width: 220px;
	display: inline-block;
	*display: inline;
	*zoom: 1;
	margin: 0 5px;
}

.modal .shop_detail .box ul li img {
	width: 100%;
	height: auto;
}

.modal .shop_detail .box p.btn {
	padding: 38px 0 0;
	text-align: center;
}

.modal .shop_detail .box p.btn a {
	min-width: 250px;
	text-align: center;
	color: #fff;
	background: #009f48;
	font-size: 14px;
	height: 71px;
	line-height: 71px;
	letter-spacing: 2px;
	font-family: "游明朝体", "Yu Mincho", YuMincho, "ヒラギノ明朝 Pro", "Hiragino Mincho Pro", "MS P明朝", "MS PMincho", serif;
	display: inline-block;
	*display: inline;
	*zoom: 1;
}

.modal .shop_detail .box p.btn a span {
	display: inline-block;
	height: 71px;
	line-height: 71px;
	background: url(../images/shops/door.png) no-repeat left center;
	background-size: 20px auto;
	padding: 0 15px 0 30px;
}

#petite .shop_detail .box p.btn a {
	background: #1fb7bb;
}






/* ------------------------------------------------------------ mobile */

@media only screen and (max-width:640px) {
	body,
	#main-frame {
		min-height: 715px;
	}
	#building .shops ul li.shop1 a {
		left: 25.5%;
	}
	.modal .close {
		top: 20px;
		right: 4%;
	}
	.modal .close img {
		width: 33px;
		height: auto;
	}
	.modal .shop_detail {
		position: relative;
		min-width: inherit;
		width: 100%;
		height: auto;
		scrollbar-width: none;
		/* Firefox */
		-ms-overflow-style: none;
	}
	.modal .shop_detail .box_scroll {
		width: auto;
	}
	.modal .shop_detail .box {
		position: relative;
		left: 0;
		right: 0;
		width: 100%;
		background: none;
		padding: 15% 12% 30%;
		height: auto;
		z-index: 1;
	}
	#petite .shop_detail .box {
		padding: 14% 12% 30%;
	}
	.modal .shop_detail .box h3 img {
		width: 80%;
		height: auto;
		margin: auto;
	}
	
	#petite .shop_detail .box h3 img {
		width: 14%;
		height: auto;
		margin: auto;
	}
	
	.modal .shop_detail .box p.text {
		font-size: 12px;
		line-height: 170%;
		padding: 40px 0 30px;
	}
	
	#petite .shop_detail .box p.text {
		padding: 10px 0 30px;
	}
	
	
	.modal .shop_detail .box ul {
		width: 100%;
	}
	.modal .shop_detail .box ul li {
		width: 48%;
		margin: 0;
	}
	.modal .shop_detail .box ul li img {
		width: 100%;
		height: auto;
	}
	.modal .shop_detail .box p.btn a {
		height: auto;
		line-height: 150%;
		padding: 0 10px;
	}
	.modal .shop_detail .box h3 {
		padding: 0;
	}
	.modal .shop_detail .detail_bg {
		top: 0;
		left: 0;
		width: 100%;
		height: 200px;
	}
	.modal .shop_detail::-webkit-scrollbar {
		width: 0px;
		/* Remove scrollbar space */
		background: transparent;
		/* Optional: just make scrollbar invisible */
		display: none;
		/* Safari and Chrome */
	}
	/* Optional: show position indicator in red */
	.modal .shop_detail::-webkit-scrollbar-thumb {
		background: #FF0000;
	}
	.modal .shop_detail .box .bg.top {
		top: -7vw;
		height: 32vw;
	}
	.modal .shop_detail .box .bg.mid {
		top: 0;
		height: 100%;
		z-index: -2;
	}
	.modal .shop_detail .box .bg.bot {
		bottom: 0;
		height: 20%;
	}
	#building .roof {
		height: 110px;
		background-size: auto 110px;
	}
	#building .shops ul li {
		min-height: 277px;
	}
	#building .shops ul li .inside {
		height: 265px;
	}
	#building .shops ul li .name {
		height: 44px;
	}
	#building .floor .assets div img,
	#building .floor .assets div canvas {
		bottom: -50px;
	}
	#building .floor .back {
		height: 4px;
	}
	#building .floor .middle {
		height: 72px;
	}
	#building .floor .front {
		height: 6px;
	}
	#footer {
		padding: 0 20px 30px;
		bottom: 0;
	}
	#footer .logo {
		float: none;
		padding: 30px 0 10px;
	}
	#footer .logo img {
		width: 100px;
		height: auto;
	}
	#footer .prev,
	#footer .next {
		padding: 10px 0 0;
	}
	#footer .btn a img {
		width: 100px;
		height: auto;
	}
	
}